My Oracle Support Banner

Calendar 7 - Patch Upgrade Returns Error When Checking the DSSETUP Version (Doc ID 1421313.1)

Last updated on NOVEMBER 15, 2017

Applies to:

Oracle Communications Calendar Server - Version 7.0 and later
Information in this document applies to any platform.
***Checked for relevance on 03-Feb-2014***

Symptoms

When running patch upgrade of Calendar 7, a failure occurs while the pre-patch script checks the Communications Suite DIT for the DSSETUP version:

rpm -Fvh sun-davserver-7.1-3.14.i386.rpm
Préparation... ########################################### [100%]
Patch install .... doing preinstall
-- Minimum dssetup required 6.4-1.04
ldap_search: Can't connect to the LDAP server - Connection reset by peer

This example is from Linux.

Changes

If the LDAP configuration (hostname, port, user or password) has changed since the last init-config session, then the script's ldapsearch will fail and return an error.

Versions affected:
This behavior was introduced in Calendar 7. The problem was reported for Calendar Server 7 U1, but the author believes the all Calendar Server 7 versions check the DSSETUP version.

The DSSETUP version checking was not present in Calendar Server 6.3 patches.

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.